
addpath(genpath('..'));

opts= struct;
opts.depth= 5;
opts.numTrees= 2;
opts.numSplits= 5;
opts.verbose= true;
opts.classifierID= 2; % weak learners to use. Can be an array for mix of weak learners too
opts.minspn = 5;
opts.idc = 1;

X = rand(20,5);
Y = [ones(10,1); 2*ones(10,1)];

cl = [ones(5,1); 2*ones(5,1); 3*ones(5,1); 4*ones(5,1)];

[m,samples2node] = forestTrain(X, Y, opts);

m1 = cluRF2claRF(m,samples2node,cl);

[Yhard, ~] = forestTest(m, X, opts);

Pmex = s2n2P(samples2node);
Pslow = s2n2Pslow(samples2node);
