%%This is a part of multi-layered random forest (MLRF) framework

%cmat -> clusters vs Y
function del = removeSmallClasses(Y,clusters,cmat,options)

    del = zeros(length(Y),1);
    
    if (size(Y,1) < size(Y,2))
        Y = Y';
    end
    
    if (size(clusters,1) < size(clusters,2))
        clusters = clusters';
    end
    
    for i=1:size(cmat,1)
        classes = find(cmat(i,:) < options.mincpc &cmat(i,:)>0);
        
        del = del |(clusters == i & ismember(Y,classes));
    end
end
